f



Installing gnuplot 4.2.2 on Mac G4 under Mac OS X 10.4.11

In attempting to install gnuplot 4.2.2 on a Mac G4 running Mac OS X v.
4.2.2, I got several error messages before the installation failed.
The error messages asked that I report these messages to the gnuplot
lists, so the excerpt below contains the transcript of the
installation.

Any suggestions as to how to install gnuplot 4.2.2?

Starfighter.


Last login: Wed Nov 21 03:22:17 on ttyp1
Welcome to Darwin!
dsl092-239-159:/ samueldupree$ tar -xzf gnuplot-4.2.2.tar.gz
dsl092-239-159:/ samueldupree$ ls
dsl092-239-159:/ samueldupree$ cd gnuplot-4.2.2
dsl092-239-159:/gnuplot-4.2.2 samueldupree$ ./configure --prefix=/usr/
local
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for function prototypes... yes
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for string.h... (cached) yes
checking how to run the C preprocessor... gcc -E
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for preprocessor stringizing operator... yes
checking for emacs... emacs
checking for tex... tex
checking for latex... latex
checking for pdflatex... pdflatex
checking for dvips... dvips
checking for troff... troff
checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for MS-DOS/djgpp/libGRX... no
checking for NeXT... no
checking for Apple MacOS X... yes
checking for aqtInit in -laquaterm... yes
checking for BeOS... no
checking for Alpha/AXP CPU... no
checking for sin... no
checking for sin in -lm... no
checking for ANSI C header files... (cached) yes
checking dirent.h usability... no
checking dirent.h presence... yes
configure: WARNING: dirent.h: present but cannot be compiled
configure: WARNING: dirent.h:     check for missing prerequisite
headers?
configure: WARNING: dirent.h: see the Autoconf documentation
configure: WARNING: dirent.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: dirent.h: proceeding with the preprocessor's
result
configure: WARNING: dirent.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for dirent.h... yes
checking errno.h usability... no
checking errno.h presence... yes
configure: WARNING: errno.h: present but cannot be compiled
configure: WARNING: errno.h:     check for missing prerequisite
headers?
configure: WARNING: errno.h: see the Autoconf documentation
configure: WARNING: errno.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: errno.h: proceeding with the preprocessor's result
configure: WARNING: errno.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for errno.h... yes
checking float.h usability... no
checking float.h presence... yes
configure: WARNING: float.h: present but cannot be compiled
configure: WARNING: float.h:     check for missing prerequisite
headers?
configure: WARNING: float.h: see the Autoconf documentation
configure: WARNING: float.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: float.h: proceeding with the preprocessor's result
configure: WARNING: float.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for float.h... yes
checking limits.h usability... no
checking limits.h presence... yes
configure: WARNING: limits.h: present but cannot be compiled
configure: WARNING: limits.h:     check for missing prerequisite
headers?
configure: WARNING: limits.h: see the Autoconf documentation
configure: WARNING: limits.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: limits.h: proceeding with the preprocessor's
result
configure: WARNING: limits.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for limits.h... yes
checking locale.h usability... no
checking locale.h presence... yes
configure: WARNING: locale.h: present but cannot be compiled
configure: WARNING: locale.h:     check for missing prerequisite
headers?
configure: WARNING: locale.h: see the Autoconf documentation
configure: WARNING: locale.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: locale.h: proceeding with the preprocessor's
result
configure: WARNING: locale.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for locale.h... yes
checking math.h usability... no
checking math.h presence... yes
configure: WARNING: math.h: present but cannot be compiled
configure: WARNING: math.h:     check for missing prerequisite
headers?
configure: WARNING: math.h: see the Autoconf documentation
configure: WARNING: math.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: math.h: proceeding with the preprocessor's result
configure: WARNING: math.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for math.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking time.h usability... no
checking time.h presence... yes
configure: WARNING: time.h: present but cannot be compiled
configure: WARNING: time.h:     check for missing prerequisite
headers?
configure: WARNING: time.h: see the Autoconf documentation
configure: WARNING: time.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: time.h: proceeding with the preprocessor's result
configure: WARNING: time.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for time.h... yes
checking sys/time.h usability... no
checking sys/time.h presence... yes
configure: WARNING: sys/time.h: present but cannot be compiled
configure: WARNING: sys/time.h:     check for missing prerequisite
headers?
configure: WARNING: sys/time.h: see the Autoconf documentation
configure: WARNING: sys/time.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/time.h: proceeding with the preprocessor's
result
configure: WARNING: sys/time.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/time.h... yes
checking for sys/types.h... (cached) yes
checking sys/bsdtypes.h usability... no
checking sys/bsdtypes.h presence... no
checking for sys/bsdtypes.h... no
checking sys/ioctl.h usability... no
checking sys/ioctl.h presence... yes
configure: WARNING: sys/ioctl.h: present but cannot be compiled
configure: WARNING: sys/ioctl.h:     check for missing prerequisite
headers?
configure: WARNING: sys/ioctl.h: see the Autoconf documentation
configure: WARNING: sys/ioctl.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/ioctl.h: proceeding with the preprocessor's
result
configure: WARNING: sys/ioctl.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/ioctl.h... yes
checking sys/param.h usability... no
checking sys/param.h presence... yes
configure: WARNING: sys/param.h: present but cannot be compiled
configure: WARNING: sys/param.h:     check for missing prerequisite
headers?
configure: WARNING: sys/param.h: see the Autoconf documentation
configure: WARNING: sys/param.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/param.h: proceeding with the preprocessor's
result
configure: WARNING: sys/param.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/param.h... yes
checking sys/select.h usability... no
checking sys/select.h presence... yes
configure: WARNING: sys/select.h: present but cannot be compiled
configure: WARNING: sys/select.h:     check for missing prerequisite
headers?
configure: WARNING: sys/select.h: see the Autoconf documentation
configure: WARNING: sys/select.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/select.h: proceeding with the preprocessor's
result
configure: WARNING: sys/select.h: in the future, the compiler will
take precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/select.h... yes
checking sys/socket.h usability... no
checking sys/socket.h presence... yes
configure: WARNING: sys/socket.h: present but cannot be compiled
configure: WARNING: sys/socket.h:     check for missing prerequisite
headers?
configure: WARNING: sys/socket.h: see the Autoconf documentation
configure: WARNING: sys/socket.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/socket.h: proceeding with the preprocessor's
result
configure: WARNING: sys/socket.h: in the future, the compiler will
take precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/socket.h... yes
checking for sys/stat.h... (cached) yes
checking sys/systeminfo.h usability... no
checking sys/systeminfo.h presence... no
checking for sys/systeminfo.h... no
checking sys/timeb.h usability... no
checking sys/timeb.h presence... yes
configure: WARNING: sys/timeb.h: present but cannot be compiled
configure: WARNING: sys/timeb.h:     check for missing prerequisite
headers?
configure: WARNING: sys/timeb.h: see the Autoconf documentation
configure: WARNING: sys/timeb.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/timeb.h: proceeding with the preprocessor's
result
configure: WARNING: sys/timeb.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/timeb.h... yes
checking sys/utsname.h usability... no
checking sys/utsname.h presence... yes
configure: WARNING: sys/utsname.h: present but cannot be compiled
configure: WARNING: sys/utsname.h:     check for missing prerequisite
headers?
configure: WARNING: sys/utsname.h: see the Autoconf documentation
configure: WARNING: sys/utsname.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/utsname.h: proceeding with the preprocessor's
result
configure: WARNING: sys/utsname.h: in the future, the compiler will
take precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sys/utsname.h... yes
checking libc.h usability... no
checking libc.h presence... yes
configure: WARNING: libc.h: present but cannot be compiled
configure: WARNING: libc.h:     check for missing prerequisite
headers?
configure: WARNING: libc.h: see the Autoconf documentation
configure: WARNING: libc.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: libc.h: proceeding with the preprocessor's result
configure: WARNING: libc.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for libc.h... yes
checking malloc.h usability... no
checking malloc.h presence... yes
configure: WARNING: malloc.h: present but cannot be compiled
configure: WARNING: malloc.h:     check for missing prerequisite
headers?
configure: WARNING: malloc.h: see the Autoconf documentation
configure: WARNING: malloc.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: malloc.h: proceeding with the preprocessor's
result
configure: WARNING: malloc.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for malloc.h... yes
checking poll.h usability... no
checking poll.h presence... yes
configure: WARNING: poll.h: present but cannot be compiled
configure: WARNING: poll.h:     check for missing prerequisite
headers?
configure: WARNING: poll.h: see the Autoconf documentation
configure: WARNING: poll.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: poll.h: proceeding with the preprocessor's result
configure: WARNING: poll.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for poll.h... yes
checking sgtty.h usability... no
checking sgtty.h presence... yes
configure: WARNING: sgtty.h: present but cannot be compiled
configure: WARNING: sgtty.h:     check for missing prerequisite
headers?
configure: WARNING: sgtty.h: see the Autoconf documentation
configure: WARNING: sgtty.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sgtty.h: proceeding with the preprocessor's result
configure: WARNING: sgtty.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for sgtty.h... yes
checking termios.h usability... no
checking termios.h presence... yes
configure: WARNING: termios.h: present but cannot be compiled
configure: WARNING: termios.h:     check for missing prerequisite
headers?
configure: WARNING: termios.h: see the Autoconf documentation
configure: WARNING: termios.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: termios.h: proceeding with the preprocessor's
result
configure: WARNING: termios.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for termios.h... yes
checking values.h usability... no
checking values.h presence... no
checking for values.h... no
checking pwd.h usability... no
checking pwd.h presence... yes
configure: WARNING: pwd.h: present but cannot be compiled
configure: WARNING: pwd.h:     check for missing prerequisite headers?
configure: WARNING: pwd.h: see the Autoconf documentation
configure: WARNING: pwd.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: pwd.h: proceeding with the preprocessor's result
configure: WARNING: pwd.h: in the future, the compiler will take
precedence
configure: WARNING:     ## ---------------------------------- ##
configure: WARNING:     ## Report this to the gnuplot lists.  ##
configure: WARNING:     ## ---------------------------------- ##
checking for pwd.h... yes
checking for stdbool.h that conforms to C99... no
checking for _Bool... no
checking for struct exception in math.h... no
checking whether stat file-mode macros are broken... no
checking for unistd.h... yes
checking if errno variable is declared... no
checking for size_t... no
checking for time_t in time.h... yes
checking return type of signal handlers... int
checking for atexit... no
checking for memcpy... no
checking for memmove... no
checking for memset... no
checking for on_exit... no
checking for bcopy... no
checking for bzero... no
checking for setvbuf... no
checking for strerror... no
checking for strchr... no
checking for strrchr... no
checking for strstr... no
checking for index... no
checking for rindex... no
checking for isnan... no
checking for erf... no
checking for erfc... no
checking for gamma... no
checking for lgamma... no
checking for getcwd... no
checking for poll... no
checking for pclose... no
checking for popen... no
checking for select... no
checking for sleep... no
checking for stpcpy... no
checking for strcspn... no
checking for strdup... no
checking for strcasecmp... no
checking for stricmp... no
checking for strncasecmp... no
checking for strnicmp... no
checking for sysinfo... no
checking for tcgetattr... no
checking for vfprintf... no
checking for doprnt... no
checking for usleep... no
checking for snprintf... no

  WARNING: Could not find a working version of snprintf.
           If a user provides gnuplot with an improper format
statement
           then a buffer overflow and/or segfault can result.
           Please consider providing snprintf via an external library.

checking whether signgam is declared... no
checking for sigsetjmp... no
checking for sys/select.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking types of arguments for select... int,int *,struct timeval *
checking for tputs in -lncurses... no
checking for tputs in -lcurses... no
checking for tputs in -ltermcap... no
checking for tputs in -lterminfo... no
checking for tputs in -ltermlib... no
checking for remove_history in -lreadline... no
configure: WARNING: GNU readline not found - falling back to builtin
readline
checking for deflate in -lz... no
configure: WARNING: zlib is required - see http://www.gzip.org/zlib/
checking for gdlib-config... /opt/local/bin/gdlib-config
checking for gdImageCreate in -lgd... no
checking for pdflib-config... /opt/local/bin/pdflib-config
checking for PDF_get_majorversion in -lpdf... no
checking for multi-byte support in x11... checking for XmbDrawString
in -lX11... no
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
configure: WARNING: No C++ compiler found. The wxWidgets terminal will
not be compiled.
checking for wx-config... /usr/bin/wx-config
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for CAIROPANGO... configure: WARNING: Package requirements
(cairo >= 0.9.0 pango >= 1.10 pangocairo >= 1.10) for the
wxWidgets terminal were not met:

Package fontconfig was not found in the pkg-config search path.
Perhaps you should add the directory containing `fontconfig.pc'
to the PKG_CONFIG_PATH environment variable
Package 'fontconfig', required by 'cairo', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you can avoid the need to call pkg-config if you set
the
environment variables CAIROPANGO_CFLAGS and CAIROPANGO_LIBS to the
corresponding flags for cairo, pango, and pangocairo.
See the pkg-config man page for more details.

The wxWidgets terminal will not be compiled.
checking for PANGO_1_10_2... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config/Makefile
config.status: creating demo/Makefile
config.status: creating docs/Makefile
config.status: creating m4/Makefile
config.status: creating man/Makefile
config.status: creating share/Makefile
config.status: creating share/LaTeX/Makefile
config.status: creating src/Makefile
config.status: creating src/beos/Makefile
config.status: creating src/wxterminal/Makefile
config.status: creating term/Makefile
config.status: creating tutorial/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing default commands
configure: configuring in lisp
configure: running /bin/sh './configure' --prefix=/usr/local  '--
prefix=/usr/local' --cache-file=/dev/null --srcdir=.
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make sets $(MAKE)... (cached) yes
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for emacs... emacs
checking where .elc files should go... ${datadir}/emacs/site-lisp
checking for dvips... dvips
checking for latex... latex
checking for makeinfo... /usr/local/teTeX/bin/powerpc-apple-darwin-
current/makeinfo
checking for pdflatex... pdflatex
checking for emacs version... 21.2.1
checking whether info-look.el is needed... not needed with emacs
21.2.1
configure: creating ./config.status
config.status: creating Makefile

** Configuration summary for gnuplot 4.2.2:

gnuplot will be compiled with the following terminals:

  Standalone terminals: yes (always builtin)
    (aed512, aed767, aifm, bitgraph, cgm, corel, dumb, dxf, eepic,
emf, emtex,
    epslatex, epson_180dpi, epson_60dpi, epson_lx800, fig, gpic,
hp2623A,
    hp2648, hp500c, hpdj, hpgl, hpljii, hppj, imagen, kc_tek40xx,
km_tek40xx,
    latex, metafont, metapost, mif, pbm, postscript, pslatex, nec_cp6,
okidata,
    pcl5, pstex, pstricks, qms, regis, selanar, svg, starc,
tandy_60dpi,
    tek40xx, tek410x, texdraw, tgif, tkcanvas, tpic, vttek)
  x11/xlib terminal: yes (with mouse support)
    (without multi-byte fonts, requires support in libX11)
    (with binary polygon protocol (EXPERIMENTAL))
  jpeg terminal: no (requires libgd with jpeg support)
  gif terminal: no (requires libgd with gif support)
  png terminal: no (requires libgd with png support)
    (jpeg, gif and png terminals cannot use TTF fonts, requires libgd
support)
  pdf terminal: no (requires libpdf)
  plot library terminal: no (use --with-plot to enable, requires GNU
plotutils
                             or UNIX plot)
  linux terminal (vga console): no (use --with-linux-vga to enable,
                                       requires SVGAlib)
  vgagl terminal ((s)vga console): no (use --with-linux-vga to enable,
                                       requires SVGAlib with vgagl)
  ggi terminal: no (use --with-ggi to enable, requires libggi)
  iris4d terminal: no (use --enable-iris to enable, requires libgl_s)
  mgr terminal: no (use --enable-mgr to enable, requires libpixrect)
  rgip/uniplex terminal: no (use --enable-rgip to enable)
  svga terminal (MSDOS/djgpp): no
  be terminal (BeOS): no
  next terminal: no
  aqua terminal (MacOS X): yes
  wxt terminal: no (requires C++, wxWidgets>2.6, cairo>0.9,
pango>1.10)

  Additional terminals are availaible in platform-specific makefiles:
   amiga (makefile.amg and makefile.ami), apollo/gpr (makefile.unx),
atari/vdi
   (makefile.st), cgi (makefile.unx), mtos (makefile.mto), pm
(makefile.os2),
   sun (makefile.unx), unixpc (makefile.unx), windows (various Windows
   makefiles)
  Additional terminals are built automatically if possible at compile-
time:
   vesa (MSDOS), emxvga (MSDOS, OS/2), ega/vga/svga/ssvga/hercules
(Windows with
   Zortec compiler), macintosh

gnuplot will be compiled with the following features:

  Fitting error variables: yes
  String-handling in datafiles: yes
  Plot style histograms: yes
  String variables: yes
  Command line macros: yes (EXPERIMENTAL)
  Placement of rectangles and other objects: yes (EXPERIMENTAL)
  Plot style image: yes (EXPERIMENTAL)
  General binary data file reading: yes (EXPERIMENTAL)

gnuplot will be compiled with the following options:

  Readline library: builtin minimal (use --with-readline=gnu for GNU
readline)
  Command-line history file: yes
  Check current directory for .gnuplot file: no (use --with-cwdrc to
enable)
  Sort help/subtopic tables by column: no (use --without-row-help to
enable)
  Use TeX kpsexpand to search for fonts: no (use --with-kpsexpand to
enable)
  Thin plate splines: no (use --enable-thin-spline to enable)
  Hidden3d optimization: quadtree
  Deprecated syntax and terminal options : yes

gnuplot will install the following additional materials:

  lasergnu printer script: no (use --with-lasergnu to enable)
  gnuplot-mode for X/Emacs: yes
  LaTeX tutorial: yes
  Help file: yes (always), in ${prefix}/share/gnuplot/4.2/gnuplot.gih
  PostScript prologue files: yes (always)
dsl092-239-159:/gnuplot-4.2.2 samueldupree$
0
Starfighter
11/24/2007 2:46:56 AM
comp.graphics.apps.gnuplot 5008 articles. 0 followers. Post Follow

1 Replies
1350 Views

Similar Articles

[PageSpeed] 0

In article <fbfbeb23-9d73-45bc-883c-b51dbc5a2b66@i29g2000prf.googlegroups.com>,
Starfighter  <sdupree@speakeasy.net> wrote:
>In attempting to install gnuplot 4.2.2 on a Mac G4 running Mac OS X v.
>4.2.2, I got several error messages before the installation failed.
>The error messages asked that I report these messages to the gnuplot
>lists, so the excerpt below contains the transcript of the
>installation.
>
>Any suggestions as to how to install gnuplot 4.2.2?

I'm not an OSX guy, but...
Build+install of 4.2.2 under OSX 4.10 worked for me.

uname -v
Darwin Kernel Version 8.9.1: Thu Feb 22 20:55:00 PST 2007; root:xnu-792.18.15~1/RELEASE_I386

The main problem I had was that the gnu readline library is for some
reason split into 2 pieces, so you have to link both to -lreadline and -lhistory

OSX 10.5 (Leopard) is a whole other kettle of fish.

Anyhow, cherry-picking from your reported error messages...


>checking for ANSI C header files... (cached) yes
>checking dirent.h usability... no
>checking dirent.h presence... yes
>configure: WARNING: dirent.h: present but cannot be compiled
>configure: WARNING: dirent.h:     check for missing prerequisite headers?
>configure: WARNING: dirent.h: see the Autoconf documentation
>configure: WARNING: dirent.h:     section "Present But Cannot Be Compiled"
>configure: WARNING: dirent.h: proceeding with the preprocessor's result
>configure: WARNING: dirent.h: in the future, the compiler will take precedence
>configure: WARNING:     ## ---------------------------------- ##
>configure: WARNING:     ## Report this to the gnuplot lists.  ##
>configure: WARNING:     ## ---------------------------------- ##
>checking for dirent.h... yes

Things I would check:

- What version of autoconf is installed?
  A quick Google on the "Present but cannot be compiled" message seems
  to indicate this is a problem with older versions of autoconf
  (My test machine had 2.60)
- Do you really have the appropriate SDKs installed?
- Do you have gnu make?
  (My test machine had GNU Make 3.80)


>  WARNING: Could not find a working version of snprintf.
>           If a user provides gnuplot with an improper format statement
>           then a buffer overflow and/or segfault can result.
>           Please consider providing snprintf via an external library.

That is quite worrisome.  You really, really should have a working
version of snprintf.   I suspect one or more missing system packages,
or a really old gcc.  But for more specific help you'll need to find
an OSX person.

>checking for remove_history in -lreadline... no
>configure: WARNING: GNU readline not found - falling back to builtin readline

That is the one error out of the whole lot that I encountered when
building on 10.4.   remove_history is in -lhistory, so I had to add
an extra library to the link flags.

>checking for g++... g++
>checking whether we are using the GNU C++ compiler... yes
>checking whether g++ accepts -g... yes
>checking dependency style of g++... gcc3
>configure: WARNING: No C++ compiler found. The wxWidgets terminal will
>not be compiled.

That is odd also.  You don't really need the wxt terminal, but
why does it say it couldn't find a g++ compiler, when clearly it did?


-- 
Ethan A Merritt
0
merritt
11/24/2007 4:32:59 AM
Reply:

Similar Artilces:

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, >> I know it isn't the most recent version available, but this version >> is used extensively across the corporation. Changing the version of >> ACE all these products used will cause the architect's heads to >> explode ;) >> >> Is it your opinion that 5.3.1 is hopeless cause on Tiger? It'll take some work, but companies like Riverace, Remedy, and OCI can help out with this stuff if staying with 5.3.1 is essential. Please see http://www.cs.wustl.edu/~schmidt/commercial-support.html for help with this stuff. >>...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Doug, > > Thanks for using the PRF. > > >> ACE VERSION: 5.3.1 > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should > work "out of the box" for Mac OS X Tiger. If you want a preview, > please download the version in our CVS repo at I know it isn't the most recent version available, but this version is used extensively across the corporation. Changing the version of ACE all these products used will cause the architect's heads to explode ;) Is it your opinion that 5.3.1 is hopeless cause on ...

RE: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4 #2
Hi Jason, > > >> ACE VERSION: 5.3.1 > > > > This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 > beta should > > work "out of the box" for Mac OS X Tiger. If you want a preview, > > please download the version in our CVS repo at > > I know it isn't the most recent version available, but this > version is used > extensively across the corporation. Changing the version of > ACE all these > products used will cause the architect's heads to explode ;) ;-) Right - this is where the value of commercial support providers comes into play. DOC's research efforts continue to march on as they should, while commercial product efforts are best served by sticking with a version of ACE over time. Companies such as Riverace can make a 5.3-base version work on Mac OS X Tiger, for instance, as well as make sure that when your product is ready for an upgrade, the new version of ACE won't surprise you. I'd be happy to discuss further how we can help you and your architects - we don't want any heads to explode :-) -Steve -- Steve Huston, Riverace Corporation Helping you succeed with ACE See http://www.riverace.com/support.htm ...

Debugging in XCode 2.4 (Mac OS X 10.4) #2
OS: Mac OS X 10.4.8 / XCode 2.4 Hello I try to debug a QuarkXTension. Every time I want to start the debugging I get the message "QuarkXpress 7.0 exited with status (10). The debugger is still running. Use 'Restart' to debug again.". I have defined QuarkXPress 7.0 as an executable and it starts when I run it without the debugger. But with the debugger I get the message above. Do you have an idea what this error message means? A problem with the path? Source files which aren't found? A "symbol file" (or something like that) who isn't found? Maybe I have no debug informations in my XTension? Maybe a problem because QuarkXPress 7.0 doesn't contain no debug information? Thanks for the help. Regards Hans St�ssel ...

Re: Subject: Building ACE 5.3.1 on Mac OS X (Tiger) 10.4.2 was [ace-users] Building ACE on Mac OSX 10.4
Hi Jason, Thanks for using the PRF. >> ACE VERSION: 5.3.1 This version of ACE is ANCIENT. The forthcoming ACE 5.4.8 beta should work "out of the box" for Mac OS X Tiger. If you want a preview, please download the version in our CVS repo at http://cvs.doc.wustl.edu/ take care, Doug >> HOST MACHINE and OPERATING SYSTEM: Mac OS X 10.4.2 >> COMPILER NAME AND VERSION (AND PATCHLEVEL): >> powerpc-apple-darwin8-gcc-4.0.1 >> >> CONTENTS OF $ACE_ROOT/ace/config.h: >> >> /* -*- C++ ...

Mac os x 10.4.11: Error installing Python 2.5.1
All, Running OS X 10.4.11 PPC. No Intel. I downloaded: http://www.python.org/ftp/python/2.5.1/python-2.5.1-macosx.dmg I started the install, accepted the license, selected easy install, then upgrade, entered my password for the mac, but the installation process finished with: There were errors installing the software. Please try installing again. Is there a log file somewhere I can examine? Anyone else experience this? Workaround? Thanks. David. David wrote: > Running OS X 10.4.11 PPC. No Intel. > > I downloaded: > > http://www.python.org/ftp/python/2.5.1/python-2....

Uninstalling PinePico-4.58-SSL-10.2.pkg on Mac OS X 10.2.8
How to uninstall PinePico-4.58-SSL-10.2.pkg on Mac OS X 10.2.8? I could not find such information at <http://www.washington.edu/pine/faq/index.html>. Please, note that I do not know about Unix commands. I am just a Mac user. I have downloaded it from <http://www.apple.com/downloads/macosx/unix_open_source/> and then <http://www.apple.com/downloads/macosx/unix_open_source/pinepico.html>. I have seen <http://www.washington.edu/pine/> I installed it thinking that it was a client eMail application that would allow me to check with a true Mac OS X Aqua interface my eMail...

TRSDOS II, version 4.2.0, 4.2.2, 4.2.4, 4.2.6 (or 4.3.x or 4.4)
Hi, Group I require a copy of the above DOS, but I need it _on disk_ as I do not have an emulator for the Model II that must be tested. Is there any possible sources of the OS on disk, or can you advise if the original 8" drive can be hooked to another device so that I can transfer an electronic copy to the disk to boot the machine? What other options do I have? Thanks L replying to my own post :-) I found an article here (http://www.tim-mann.org/trs80resources.html) where Tim describes a trick to rescue a disk's contents. This should be a workable solution...

Debugging in XCode 2.4 (Mac OS X 10.4)
OS: Mac OS X 10.4.8 / XCode 2.4 Hello I try to debug a QuarkXTension. Every time I want to start the debugging I get the message "QuarkXpress 7.0 exited with status (10). The debugger is still running. Use 'Restart' to debug again.". I have defined QuarkXPress 7.0 as an executable and it starts when I run it without the debugger. But with the debugger I get the message above. Do you have an idea what this error message means? A problem with the path? Source files which aren't found? A "symbol file" (or something like that) who isn't found? Maybe I have no debug informations in my XTension? Maybe a problem because QuarkXPress 7.0 doesn't contain no debug information? Thanks for the help. Regards Hans St�ssel ...

mac os x 10.4.4 breaks mathematica 5.2 (again)
it appears mac os x 10.4.4 update breaks 64-bit application Mathematica 5.2, just like 10.4.2 did. i'm surprised that i haven't seen any reports on this yet. last time, wolfram was on the case the same day 10.4.2 was released. Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000004 Thread 0 Crashed: 0 com.wolfram.Mathematica 0x000567b4 0x1000 + 350132 1 com.wolfram.Mathematica 0x00087450 0x1000 + 549968 2 com.wolfram.Mathematica 0x0008a220 0x1000 + 561696 3 com.wolfram.Mathematica 0x00088724 0x1000 + 554788 4...

Does 4/2/2= (4/2)/2 =1 OR = 4/(2/2)=4
I don't have matlab and I am trying to translate some simple matlab code. Does 4/2/2 = (4/2)/2 = 1 or 4/2/2 = 4/(2/2) = 4 On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > I don't have matlab and I am trying to translate some simple matlab code. > > Does 4/2/2 = (4/2)/2 = 1 yes. At a given precedence level (and obviously two of the same operators are the same level) evaluation proceeds from LtoR. ....snip... <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> -- dpb <none@non.net> wrote in message <...

Mac file dialog extensions [2.8.1, Mac OS-X, xCode 2.4.1]
------_=_NextPart_001_01C755D2.E5708505 Content-Type: text/plain; charset="us-ascii" Content-Transfer-Encoding: quoted-printable Hi Looking at the code in Mac/Carbon/FileDlg.cpp, at NavEventProc, in response to the kNavCBPopupMenuSelect event, I noticed that the code takes the LAST extension from the filter and attaches it to the file. I find this a bit strange, and I would expect the FIRST extension of each file type to be the most dominant one, so that it's used as the default extension if none is supplied. Is there any reason for using the last extension (o...

RE: Mac file dialog extensions [2.8.1, Mac OS-X, xCode 2.4.1]
OK, I will fix this, and send a patch. > -----Original Message----- > From: Vadim Zeitlin [mailto:vadim@wxwindows.org] > Sent: Sunday, March 04, 2007 11:38 PM > To: wx-users@lists.wxwidgets.org > Subject: Re: Mac file dialog extensions [2.8.1, Mac OS-X, xCode 2.4.1] >=20 > On Wed, 21 Feb 2007 18:11:23 +0200 Yaron Tadmor <YaronT@HumanEyes.com> > wrote: >=20 > YT> Looking at the code in Mac/Carbon/FileDlg.cpp, at NavEventProc, in > YT> response to the kNavCBPopupMenuSelect event, I noticed that the code > YT> takes the LAST extens...

gnuplot 4.2.0 vs gnuplot 4.2.rc4
Dear all, I've always updated my gnuplot to the bleeding edge... Today I updated from 4.2.rc4 to the stable release and I've found a problem: I can't get readline GNU support. That sounds weird but from the rc4 to the stable the configure script changed anything BUT the test to check the readline, and this causes the problem I'm on osx and I've installed the libreadline by hand and updated to the last version (version 5.2 from http://tiswww.case.edu/php/chet/readline/rltop.html) from the configure diff between the two versions I found this difference, apart the number version here and there...: < char remove_history (); --- > char readline (); now this test makes the difference... Could someone explain em why this changed? I've copied the rc4 config in the 4.2.0 and it compiles smoothly. why the test to chack readline changed? Is there some new enhancement that I'm missing? what happens without? what can I do to help? thanks a lot tv In article <1174070466.603669.41110@p15g2000hsd.googlegroups.com>, tv <tommaso.vinci@gmail.com> wrote: > >Today I updated from 4.2.rc4 to the stable release and I've found a >problem: >I can't get readline GNU support. > >I'm on osx and I've installed the libreadline by hand and updated to >the last version (version 5.2 from http://tiswww.case.edu/php/chet/readline/rltop.html) > >from the configure d...

Palm Desktop 4.2.1, Mac OS 9.2.2, & AvantGo 4.0
I've finally gotten around to setting up a newer Mac running MacOS 9.2.2. I've updated Palm Desktop to 4.2.1. I'm trying to get AvantGo 4.0 to play nicely with my setup (since I'm using a Palm m515), but it won't install correctly. AvantGo Connect sees no profiles, and Palm Desktop sees no AvantGo conduit. Any clues what I should do (other than bail on AvantGo and/or update to OS X, which would mean bailing on AvantGo or going with Missing Sync anyhow)? In article <1157165247.345416.46560@b28g2000cwb.googlegroups.com>, ultrajoe@spamcop.net wrote: > I've fi...

WxMac 2.4.2, Mac OS 10.3.2 (Panther) compile problem
I have been trying to compile wxMac 2.4.2 for several days now under OS X 10.3.2 (Panther.) Configuring goes okay, but when I try to compile it, I get the following errors: src/mac/dc.cpp:1259: error: parse error before `<<' token src/mac/dc.cpp:1263: error: parse error before `short' make: *** [dc.o] Error 1 Is there something I should be aware of? Thanks, Damon Campagna --------------------------------------------------------------------- Please read http://www.wxwindows.org/mlhowto.htm before posting. To unsubscribe, e-mail: wx-users-unsubscribe@lists.wxw...

wxWidgets 2.6.3 on Intel Mac with OS X 10.0.4 (Tiger), gcc 4.0.1
Hello, I have recently started porting our application to Mac OS X. Application was developed for Microsoft Windows using wxWidgets. I have installed wxWidgets 2.6.3 on my Mac using darwinports system. Compilation completed successfully and without any warnings/errors. I am able to compile same programs included in library archive, but started application does not receive ANY user input - I am even unable to move application window. Program is stripped to bare bones: #include "wx/wx.h" #include <iostream> class MyApp : public wxApp { public: virtual boo...

[wx 2.6.3, Mac OS X 10.4.8, gcc 4.0.1] extremely slow wxStyledTextCtrl::Colourise()
Hello, I'm developing a multi-platform source code editor with syntax-highlighting based on wxWidgets. I have a problem with the wxStyledTextCtrl::Colourise() function on the Mac platform. This function is extremely slow on Mac, e.g. it takes about 40 seconds to do the lexing of a file of 500 lines of c++ code, while the same function returns within 1 second on the Windows and Linux platforms using the same version of wxWidgets. (I'm using the wxSTC_LEX_CPP lexer). The problem appears when the user wants to scroll down the wxStyledTextCtrl : the slider blocks and th...

Does an app run Mac O X 10.4 when it has been built on Mac OS 10. 3+
Hello. I don't have Mac OS X 10.4 yet, my application is built on Mac OS X 10.3.9, does The application can run properly on Mac OS 10.4 ? Thanks ming --------------------------------------------------------------------- To unsubscribe, e-mail: wx-users-unsubscribe@lists.wxwidgets.org For additional commands, e-mail: wx-users-help@lists.wxwidgets.org Hi Ming, Yes, almost everything should work without modification. I only found one thing in Tiger that worked differently than Panther, and it was easy to fix once I got a complete report of what was going on. HTH,...

can't get python 2.5.5 to work on mac os x 10.4.11
Hi everyone, I posted this in the cocos2d and pyglet discussion group, I thought I'll get a response right away since my problem is quite general but I got no response. I hope you will help me!!! this is the original post http://groups.google.com/group/cocos-discuss/browse_thread/thread/f8bc92498dbd48af# best regards new2Cocos <bchkifa@gmail.com> wrote: > Hi everyone, > > I posted this in the cocos2d and pyglet discussion group, I thought > I'll get a response right away since my problem is quite general but I > got no response. I hope you will...

Re: Mac OS X 10.4.10 update and 64 bit #2
http://support.wolfram.com/mathematica/systems/macintosh/osx/32bitratherthan64bit.html Quote: 64-bit support for the PowerPC G5 has been discontinued with Mathematica 6. We continue to support the PowerPC G5 with the 32-bit version of Mathematica for Mac OS X. ...

ActiveDeveloper 2.19 released for Mac OS X 10.4 and 10.3
ActiveDeveloper Release ActiveDeveloper 2.19 released for MacOS X 10.4 and 10.3. Our Premier Universal Application release for Intel Macs. Our "Develop & Continue" Objective-C & C IDE and Debugger Your companion for Cocoa, WebKit, and QuickTime. With its "Develop & Continue" ActiveDeveloper takes an Object and Development oriented approach to merging Objective-C Development and Debugging into ONE single combined activity - as opposed to the more Debugging and C stack level oriented approach taken in Xcode. ActiveDeveloper version 2.19 adds...

Announce: gcc 4.4.2 for Mac OS X
Hello I just released gcc 4.4.2 for Mac OS X. You find it here: http://sourceforge.net/projects/gnuada/files/ Have fun. Regards Martin On 08/12/2009 17:30, in article op.u4mqxumhz25lew@macpro.krischik.com, "Martin Krischik" <krischik@users.sourceforge.net> wrote: > Hello > > I just released gcc 4.4.2 for Mac OS X. You find it here: > > http://sourceforge.net/projects/gnuada/files/ Which version of MacOS X? -- Bill Findlay <surname><forename> chez blueyonder.co.uk Am 08.12.2009, 21:41 Uhr, schrieb (see below) <...

ActiveDeveloper 2.19 released for Mac OS X 10.4 and 10.3
ActiveDeveloper Release ActiveDeveloper 2.19 released for MacOS X 10.4 and 10.3. Our Premier Universal Application release for Intel Macs. Our "Develop & Continue" Objective-C & C IDE and Debugger Your companion for Cocoa, WebKit, and QuickTime. With its "Develop & Continue" ActiveDeveloper takes an Object and Development oriented approach to merging Objective-C Development and Debugging into ONE single combined activity - as opposed to the more Debugging and C stack level oriented approach taken in Xcode. ActiveDeveloper version 2.19 adds...

Web resources about - Installing gnuplot 4.2.2 on Mac G4 under Mac OS X 10.4.11 - comp.graphics.apps.gnuplot

Help:Installing Japanese character sets - Wikipedia, the free encyclopedia
This help page will help you install Japanese character sets so that your computer will display them properly on the internet in your web browser ...

Earn Free Facebook Credits For Installing Apps — Of Course, There’s A Catch
This looks pretty cool at first: Earn free Facebook Credits for installing applications on your iPhone or Android device. AppDog offers this ...

Installing solar panels - Flickr - Photo Sharing!
Solar panels are lifted into place.

Installing Afterglow AX.1 Wired XBOX 360 Controller on Lion/Mountain Lion 10.7.3+ - YouTube
I finally managed to install an Afterglow AX.1 (Wired XBOX Controller) and make it work on Lion 10.7.3 with TattiBogle 0.08. This tutorial works ...

Fatal unit fire: Builder Ray Finianos reduced height of building to avoid installing fire sprinklers ...
The builder of&nbsp;a south-west Sydney unit block where a young woman plunged to her death during a ferocious fire told a certifier to reduce ...

Ballarat man accused of installing spy cameras in ex-wife's house
A man accused of concealing surveillance cameras in skirting boards at his ex-wife's home also allegedly attached a GPS tracker to her car, a ...

Iran installing new nuclear equipment
Sky News is Australia's leader in 24-hour news. Iran has begun installing next-generation equipment at one of its main nuclear plants, a new ...

Rentasaur Installing 'Spyware' On Rental Laptops
An Australian business that rents out computers is installing software that in the US has been used to spy on users, including taking webcam ...

Gillard defends installing Slipper
BBC News Gillard defends installing Slipper Sydney Morning Herald Prime Minister Julia Gillard has defended her decision to install Peter ...

CSIRO says installing solar panels on roofs of businesses could take pressure off the electricity grid ...
Installing more solar panels on the roofs of businesses would help Australia's energy grid cope with increased demand.

Resources last updated: 3/2/2016 1:25:18 PM